Subject: [xml2rfc] multilevel lists?

From: Loa Andersson <[email-masked]>
Date: Sat, 17 Dec 2016 10:40:23 +0800

Folks,

I'd like to do a </list>  like this, but can't find a way to do it.

1. First first level list entry
    1.1. First second level list entry
    1.1. Second second level list entry
    1.1. Third second level list entry

2. First first level list entry
    2.1. First second level list entry
    2.1. Second second level list entry
    2.1. Third second level list entry

3. First first level list entry
    3.1. First second level list entry
    3.1. Second second level list entry
    3.1. Third second level list entry

Anyone that can help?

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: Julian Reschke <[email-masked]>
Date: Sat, 17 Dec 2016 08:56:23 +0100

>    1.1. Second second level list entry

1.2, I assume?

>    3.1. Third second level list entry

I don't think we have anything for that.

Best regards, Julian

---

From: "Susan Hares" <[email-masked]>
Date: Sat, 17 Dec 2016 07:04:23 -0500

Julian:

Like Loa, I would love to have such a structure. 

Sue Hares

-----Original Message-----
From: xml2rfc [mailto:[email-masked]] On Behalf Of Julian Reschke
Sent: Saturday, December 17, 2016 2:56 AM
To: Loa Andersson; [email-masked]
Subject: Re: [xml2rfc] multilevel lists?

1.2, I assume?

Best regards, Julian

_______________________________________________
xml2rfc mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xml2rfc

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 17 Dec 2016 13:18:04 +0100

> I don't think we have anything for that.

Right.

The outer list can easily be done using style=“numbers", but then each inner list needs to have something like style=“format 3.%d.” (where the 3 would need to be put in and maintained sequentially in a manual process).  It would not be too hard to extend format strings to be able to reference counters from successive levels of lists around the current list, but we don’t have that today.  (And it would be a bit tedious to have to specify that style attribute for each nested list again.)

Grüße, Carsten

---

From: Julian Reschke <[email-masked]>
Date: Sat, 17 Dec 2016 13:39:48 +0100

> The outer list can easily be done using style=“numbers", but then each inner list needs to have something like style=“format 3.%d.” (where the 3 would need to be put in and maintained sequentially…

And lists like that do not exist (natively) in HTML, so I'm a bit 
skeptical that this is really something we need...

Best regards, Julian

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 17 Dec 2016 14:42:49 +0100

On 17 Dec 2016, at 13:39, Julian Reschke <[email-masked]> wrote:
> 
> And lists like that do not exist (natively) in HTML, so I'm a bit skeptical that this is really something we need...

HTML is not normally being used as an authoring language today (and certainly rarely for documents that have the complexity to need this).  If somebody needs nested numbering of lists in HTML, they can generate the numbers from any kind of publishing chain (but apparently not from markdown, [1]).  Or, if you want, use CSS — that can do numbering of nested lists without problems [2].  So this argument isn’t convincing me that much.  On the other hand, the number of questions on stackexchange how to do this does convince me this is a real desire of document authors.

(I any case, maybe it *is* the authoring tools that should do complex stuff like this.  This just takes a bit of the luster from RFCXML as a processable document format.)

Grüße, Carsten

[1] http://meta.stackexchange.com/questions/85474/how-to-write-nested-numbered-lists
[2] http://stackoverflow.com/questions/10405945/html-ordered-list-1-1-1-2-nested-counters-and-scope-not-working

---

From: Julian Reschke <[email-masked]>
Date: Sat, 17 Dec 2016 14:56:16 +0100

> [2] http://stackoverflow.com/questions/10405945/html-ordered-list-1-1-1-2-nested-counters-and-scope-not-working

Interesting; I wasn't aware of these CSS extension. I'm tempted to put 
an extension into rfc2629.xslt.

Best regards, Julian

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 17 Dec 2016 15:03:05 +0100

On 17 Dec 2016, at 14:56, Julian Reschke <[email-masked]> wrote:
> 
> I'm tempted to put an extension into rfc2629.xslt.

So what is the procedure we envision to extend section 2.34.5 of RFC 7991 [1] ("Other formats are reserved for future use”)?

Grüße, Carsten

[1] https://tools.ietf.org/html/rfc7991#section-2.34.5

---

From: Julian Reschke <[email-masked]>
Date: Sat, 17 Dec 2016 15:31:28 +0100

> So what is the procedure we envision to extend section 2.34.5 of RFC 7991 [1] ("Other formats are reserved for future use”)?

I would use an ad hoc format, using a prefix such as "x:".

Best regards, Julian

---

From: Loa Andersson <[email-masked]>
Date: Sun, 18 Dec 2016 12:43:52 +0800

Folks,

I'm happy to see that there is an interest for this. For me this is a
bit higher in priority than "nice to have".

/Loa

On 2016-12-17 22:31, Julian Reschke wrote:
>> So what is the procedure we envision to extend section 2.34.5 of RFC
>> 7991 [1] ("Other formats are reserved for future use”)?
>>
>> Grüße, Carsten
>

--